Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bump version to v0.3.7

  • Loading branch information...
commit d8579c6afdbe868de6dffa8db78bbe4ba2d03e0e 1 parent 2863892
@ry ry authored
View
6 AUTHORS
@@ -152,4 +152,8 @@ Theo Schlossnagle <jesus@omniti.com>
Kai Chen <kaichenxyz@gmail.com>
Daniel C <333222@gmail.com>
Mihai Călin Bazon <mihai@bazon.net>
-
+Ali Farhadi <a.farhadi@gmail.com>
+Daniel Ennis <aikar@aikar.co>
+Carter Allen <CarterA@opt-6.com>
+Greg Hughes <greg@ghughes.com>
+David Trejo <david.daniel.trejo@gmail.com>
View
36 ChangeLog
@@ -1,4 +1,38 @@
-2011.01.21, Version 0.3.6 (unstable)
+2011.01.27, Version 0.3.7 (unstable)
+
+* Expose agent in http and https client. (Mikeal Rogers)
+
+* Fix bug in http request's end method. (Ali Farhadi)
+
+* MinGW: better net support (Bert Belder)
+
+* fs.open should set FD_CLOEXEC
+
+* DTrace probes (Bryan Cantrill)
+
+* REPL fixes and improvements (isaacs, Bert Belder)
+
+* Fix many bugs with legacy http.Client interface
+
+* Deprecate process.assert. Use require('assert').ok
+
+* Add callback parameter to socket.setTimeout(). (Ali Farhadi)
+
+* Fixing bug in http request default encoding (Ali Farhadi)
+
+* require: A module ID with a trailing slash must be a dir.
+ (isaacs)
+
+* Add ext_key_usage to getPeerCertificate (Greg Hughes)
+
+* Error when child_process.exec hits maxBuffer.
+
+* Fix option parsing in tls.connect()
+
+* Upgrade to V8 3.0.10
+
+
+2011.01.21, Version 0.3.6 (unstable), bb3e71466e5240626d9d21cf791fe43e87d90011
* REPL and other improvements on MinGW (Bert Belder)
View
8 doc/index.html
@@ -20,7 +20,7 @@
<li><a href="#download">Download</a></li>
<li><a href="https://github.com/ry/node/raw/master/ChangeLog">ChangeLog</a></li>
<li><a href="#about">About</a></li>
- <li><a href="http://nodejs.org/docs/v0.3.6/api">v0.3.6 docs</a></li>
+ <li><a href="http://nodejs.org/docs/v0.3.7/api">v0.3.7 docs</a></li>
<li><a href="http://nodejs.org/docs/v0.2.6/api.html">v0.2.6 docs</a></li>
<br/>
<li><B><a href="https://github.com/ry/node/wiki">Wiki</a></B></li>
@@ -96,9 +96,9 @@ <h2 id="download">Download</h2>
</p>
<p>
- Unstable: 2011.01.21
- <a href="http://nodejs.org/dist/node-v0.3.6.tar.gz">node-v0.3.6.tar.gz</a>
- (<a href="http://nodejs.org/docs/v0.3.6/api/index.html">Documentation</a>)
+ Unstable: 2011.01.27
+ <a href="http://nodejs.org/dist/node-v0.3.7.tar.gz">node-v0.3.7.tar.gz</a>
+ (<a href="http://nodejs.org/docs/v0.3.7/api/index.html">Documentation</a>)
</p>
<p>Historical: <a href="http://nodejs.org/dist">versions</a>, <a href="http://nodejs.org/docs">docs</a></p>
View
2  src/node_version.h
@@ -7,7 +7,7 @@
#define NODE_MAJOR_VERSION 0
#define NODE_MINOR_VERSION 3
#define NODE_PATCH_VERSION 7
-#define NODE_VERSION_IS_RELEASE 0
+#define NODE_VERSION_IS_RELEASE 1
#ifndef NODE_STRINGIFY
#define NODE_STRINGIFY(n) NODE_STRINGIFY_HELPER(n)
View
2  wscript
@@ -775,7 +775,7 @@ def build(bld):
, 'CPPFLAGS' : " ".join(program.env["CPPFLAGS"]).replace('"', '\\"')
, 'LIBFLAGS' : " ".join(program.env["LIBFLAGS"]).replace('"', '\\"')
, 'PREFIX' : safe_path(program.env["PREFIX"])
- , 'VERSION' : '0.3.2' # FIXME should not be hard-coded, see NODE_VERSION_STRING in src/node_version.
+ , 'VERSION' : '0.3.7' # FIXME should not be hard-coded, see NODE_VERSION_STRING in src/node_version.
}
return x
Please sign in to comment.
Something went wrong with that request. Please try again.